Predictions

List Predictions

Retrieve a list of your recent predictions.

List Predictions

GET
/predictions
x-api-key<token>

Your Skytells API key. Obtain one from Dashboard → API Keys.

In: header

Response Body

application/json

application/json

curl -X GET "https://api.skytells.ai/v1/predictions"
[
  {
    "id": "pred_abc123",
    "status": "succeeded",
    "model": "truefusion",
    "input": {},
    "output": "https://cdn.skytells.ai/outputs/pred_abc123.png",
    "created_at": "2026-03-07T12:00:00Z",
    "started_at": "2026-03-07T12:00:01Z",
    "completed_at": "2026-03-07T12:00:05Z",
    "metrics": {
      "predict_time": 4.2
    },
    "error": "string"
  }
]
{
  "error": {
    "http_status": 401,
    "message": "Invalid or missing API key",
    "details": "Please obtain a valid API key from the dashboard",
    "error_id": "UNAUTHORIZED"
  }
}

How is this guide?